children: Get children of a term

API: ac.uk:embl-ebi-ontology-lookup-service-ols-api
Endpoint: /ontologies/{ontologyId}/terms/{iri}/children
Response format: text/html
Charset: utf-8
Auth: none
Method: GET
Last Status: 400
Latency: 208ms

Description

Returns a paginated list of child terms (direct subclasses) of a specific term.

Parameters (4)

iri (string, path, required)

URL-encoded IRI of the term

ontologyId (string, path, required)

The ontology ID

page (integer, query, optional, default: 0)

Page number (0-indexed)

size (integer, query, optional, default: 20)

Page size (number of results per page)

Examples (3)

Get children of GO biological_process term curl
curl 'https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FGO_0008150/children' \
  -H 'Accept: application/json' \
  -d '"<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>"'
import requests

resp = requests.get(
    "https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FGO_0008150/children",
    headers={
        'Accept': 'application/json',
    },
    json="<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>",
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("embl-ebi-ontology-lookup-service-ols")
result = api.fetch("ontologies/{ontologyId}/terms/{iri}/children")

for item in result:
    print(item)
const body = "<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>";

const resp = await fetch("https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FGO_0008150/children", {
  headers: {
    "Accept": "application/json",
  },
  body: JSON.stringify(body),
});
const data = await resp.json();
Get children with custom pagination curl
curl 'https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FGO_0005575/children?page=0&size=10' \
  -H 'Accept: application/json' \
  -d '"<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>"'
import requests

resp = requests.get(
    "https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FGO_0005575/children",
    params={
        'page': 0,
        'size': 10,
    },
    headers={
        'Accept': 'application/json',
    },
    json="<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>",
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("embl-ebi-ontology-lookup-service-ols")
result = api.fetch("ontologies/{ontologyId}/terms/{iri}/children", page=0, size=10)

for item in result:
    print(item)
const body = "<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>";

const resp = await fetch("https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FGO_0005575/children?page=0&size=10", {
  headers: {
    "Accept": "application/json",
  },
  body: JSON.stringify(body),
});
const data = await resp.json();
Get children from MONDO disease ontology curl
curl 'https://www.ebi.ac.uk/ols4/api/ontologies/mondo/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FMONDO_0000001/children' \
  -H 'Accept: application/json' \
  -d '"<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>"'
import requests

resp = requests.get(
    "https://www.ebi.ac.uk/ols4/api/ontologies/mondo/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FMONDO_0000001/children",
    headers={
        'Accept': 'application/json',
    },
    json="<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>",
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("embl-ebi-ontology-lookup-service-ols")
result = api.fetch("ontologies/{ontologyId}/terms/{iri}/children")

for item in result:
    print(item)
const body = "<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>";

const resp = await fetch("https://www.ebi.ac.uk/ols4/api/ontologies/mondo/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FMONDO_0000001/children", {
  headers: {
    "Accept": "application/json",
  },
  body: JSON.stringify(body),
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:22:30.047306 400 208ms
2026-04-16 01:53:45.802075 400 232ms
2026-04-16 01:38:47.036675 400 242ms
2026-04-15 03:35:57.775827 400 213ms
2026-04-15 01:53:21.124116 400 212ms
2026-04-15 01:39:51.635946 400 283ms
2026-04-14 03:19:23.928553 400 219ms
2026-04-14 02:44:03.626933 400 253ms
2026-04-14 02:32:21.964177 400 248ms
2026-04-12 15:18:14.775124 400 214ms
2026-04-12 13:32:51.825492 400 188ms
2026-04-12 12:43:35.134945 400 183ms
2026-04-10 05:10:21.999146 400 127ms
2026-04-10 04:22:38.043961 400 215ms
2026-04-10 02:17:59.524328 400 172ms
2026-04-09 01:56:01.273935 400 208ms
2026-04-09 01:20:14.500592 400 213ms
2026-04-09 01:04:53.490044 400 359ms
2026-04-08 07:55:19.896387 400 216ms
2026-04-08 00:58:51.807863 400 214ms
2026-04-08 00:56:51.672514 400 264ms
2026-04-07 00:45:26.102437 400 219ms
2026-04-07 00:29:35.126254 400 255ms
2026-04-07 00:04:29.440799 400 225ms
2026-04-06 05:30:50.745446 400 244ms
2026-04-06 01:44:50.099126 400 275ms
2026-04-05 22:51:44.543772 400 254ms
2026-04-05 14:52:13.094602 400 324ms
2026-03-23 10:10:08.732669 400 172ms
2026-03-23 09:28:41.429605 400 138ms
2026-03-23 09:25:09.415826 400 144ms